r6431 - in trunk/BOOK: introduction/welcome x/installing

dnicholson at linuxfromscratch.org dnicholson at linuxfromscratch.org
Thu Jan 18 20:55:07 PST 2007


Author: dnicholson
Date: 2007-01-18 21:55:07 -0700 (Thu, 18 Jan 2007)
New Revision: 6431

Modified:
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/x/installing/x7server.xml
   trunk/BOOK/x/installing/xorg.xml
Log:
Updated security patches for xorg-6.9.0 and xorg-server-1.1.0


Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2007-01-18 19:38:19 UTC (rev 6430)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2007-01-19 04:55:07 UTC (rev 6431)
@@ -45,6 +45,10 @@
       <para>January 18th, 2007</para>
       <itemizedlist>
         <listitem>
+          <para>[dnicholson] - Updated security patches for Xorg-6.9.0
+          and xorg-server-1.1.0.</para>
+        </listitem>
+        <listitem>
           <para>[dnicholson] - Changed the i18n.sh profile text to reference
           the LFS locale discussion and moved the GLib specific settings to
           that package's page. Fixes #2012.</para>

Modified: trunk/BOOK/x/installing/x7server.xml
===================================================================
--- trunk/BOOK/x/installing/x7server.xml	2007-01-18 19:38:19 UTC (rev 6430)
+++ trunk/BOOK/x/installing/x7server.xml	2007-01-19 04:55:07 UTC (rev 6431)
@@ -61,7 +61,7 @@
     <itemizedlist spacing="compact">
       <listitem>
         <para>Required patch: <ulink
-        url="&patch-root;/xorg-server-1.1.0-setuid-2.patch"/></para>
+        url="&patch-root;/xorg-server-1.1.0-security-1.patch"/></para>
       </listitem>
     </itemizedlist>
 
@@ -105,12 +105,12 @@
         hw/xfree86/os-support/linux/lnx_agp.c</userinput></screen>
  End remove -->
 
-    <para>A <ulink url='http://wiki.x.org/wiki/SecurityPage'>security
-    vulnerability</ulink> has been identified in the xorg-server
-    packages. Apply a patch to fix this vulnerability with the following
+    <para>Multiple <ulink url='http://wiki.x.org/wiki/SecurityPage'>security
+    vulnerabilities</ulink> have been identified in the xorg-server
+    package. Apply a patch to fix these vulnerabilities with the following
     command:</para>
 
-<screen><userinput>patch -Np1 -i ../xorg-server-1.1.0-setuid-2.patch</userinput></screen>
+<screen><userinput>patch -Np1 -i ../xorg-server-1.1.0-security-1.patch</userinput></screen>
 
     <para>Install the server by running the following commands:</para>
 

Modified: trunk/BOOK/x/installing/xorg.xml
===================================================================
--- trunk/BOOK/x/installing/xorg.xml	2007-01-18 19:38:19 UTC (rev 6430)
+++ trunk/BOOK/x/installing/xorg.xml	2007-01-19 04:55:07 UTC (rev 6431)
@@ -91,7 +91,7 @@
       </listitem>
       <listitem>
         <para>Required patch: <ulink
-        url="&patch-root;/xorg-&xorg-version;-security-3.patch"/></para>
+        url="&patch-root;/xorg-&xorg-version;-security-4.patch"/></para>
       </listitem>
     </itemizedlist>
 
@@ -201,13 +201,13 @@
 
       <para>The <application>Xorg</application> sources must be patched in
       order to avoid a race condition with the <application>luit</application>
-      program.  Additionally, <application>Xorg</application> contains 4
+      program.  Additionally, <application>Xorg</application> contains 5
       <ulink url="http://wiki.x.org/wiki/SecurityPage">security
       vulnerabilities</ulink>. Fix these issues with the following
       commands:</para>
 
 <screen><userinput>patch -Np1 -i ../xorg-&xorg-version;-luit_race-1.patch &&
-patch -Np1 -i ../xorg-&xorg-version;-security-3.patch</userinput></screen>
+patch -Np1 -i ../xorg-&xorg-version;-security-4.patch</userinput></screen>
 
       <para>Additionally, if you choose to install
       <application>Xorg</application> to any prefix other than




More information about the blfs-book mailing list